Bug 2990 - [UPDATE REQUEST] gdm, gnome-session, gnome-shell-extensions, gnome-fallback-session
: [UPDATE REQUEST] gdm, gnome-session, gnome-shell-extensions, gnome-fallback-s...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 23:38 MSD by Arkady L. Shane
Modified: 2013-11-07 13:38 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2013-10-26 23:38:58 MSD
Advisory:

gdm
===

Fix plymouth stall
Add ROSA Logo
Remove call of chksession from %post

https://abf.rosalinux.ru/build_lists/1367277
https://abf.rosalinux.ru/build_lists/1367278

desktop-common-data
===================

Do not generate anything with gdm. New chksession does not create anything in /etc/X11/dm/Session, so no multiply session in gdm will appear.

https://abf.rosalinux.ru/build_lists/1367267
https://abf.rosalinux.ru/build_lists/1367268

gnome-session
=============

added gnome.desktop session file to /usr/share/xsessions

https://abf.rosalinux.ru/build_lists/1367279
https://abf.rosalinux.ru/build_lists/1367280
Comment 1 Postnikov Dmitry 2013-10-27 01:17:53 MSD
In new version menu gdm all OK, but error in log from gnome-session.
I'm made screencast.

http://cdn.2safe.com/193652033757/screen-g-session.avi
Comment 2 Arkady L. Shane 2013-10-27 02:41:04 MSK
Only warnings. Not a problem for us. I saw gradient errors before.

dash-to-dock write some JS errors, but I've never seen that it crashed.
Comment 3 Vladimir Potapov 2013-11-01 14:17:41 MSK
After updating KDE disappeared from the menu.
********************************************
QA Denied

P.S. ROSA logo looks very foreign. It is better to use the logo style with a splash of Marathon.
Comment 4 Arkady L. Shane 2013-11-01 16:21:00 MSK
This is not gdm problem. Since this minute this is problem of all other desktops.

In next QA bug I will push more packages for kde and lxde besides this three.
Comment 5 Arkady L. Shane 2013-11-05 11:18:15 MSK
gdm
===
1. Исправлено зависание на плимуте
2. Лого Росы добавлено

https://abf.rosalinux.ru/build_lists/1378679
https://abf.rosalinux.ru/build_lists/1378680

gnome-session
=============
1. Обновлено до 3.8.4

https://abf.rosalinux.ru/build_lists/1347347
https://abf.rosalinux.ru/build_lists/1347348

gnome-shell-extension
=====================
1. desktop файл сессии сделан по принципу Мандривы в /etc/X11/wmsession.d

https://abf.rosalinux.ru/build_lists/1378817
https://abf.rosalinux.ru/build_lists/1378818

gnome-fallback-session
======================
1. desktop файл сессии сделан по принципу Мандривы в /etc/X11/wmsession.d

https://abf.rosalinux.ru/build_lists/1378783
https://abf.rosalinux.ru/build_lists/1378784

Как можно тестировать.

1. Можно накатит на образ KDE посредством подключения этих реп и установки task-gnome
Я так делал всё ок. KDM видит, GDM видит сессии.

2. Накатить эти пакеты на старый 1623 образ гнома
Это я тоже тестил. Тоже ок.

3. Как-то ещё.
Comment 6 Vladimir Potapov 2013-11-06 14:32:13 MSK
Does gnome-common-data present in test?
Comment 7 Vladimir Potapov 2013-11-06 14:33:23 MSK
(In reply to comment #6)
> Does gnome-common-data present in test?
desktop-common-data?
Comment 8 Arkady L. Shane 2013-11-06 15:14:56 MSK
No updates for desktop-common-data. Original is good for this time.
Comment 9 Vladimir Potapov 2013-11-06 15:24:43 MSK
gdm-3.8.1.1-10-rosa2012.1
gnome-session-3.8.4-2-rosa2012.1
gnome-classic-session-3.8.4-2-rosa2012.1
gnome-fallback-session-0.1-4-rosa2012.1
*************************** Advisory ***********************
gdm: Fix plymouth stall, add ROSA Logo
gnome-session: updated to 3.8.4
gnome-shell-extension: added session file to /etc/X11/wmsession.d
gnome-fallback-session: added session file to /etc/X11/wmsession.d
************************************************************
QA Verified